import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ApprovalWorkflowListComponent implements OnInit, OnChanges {
    hideDetails: boolean;
    openIndexId: number;
    selectedWorkflow: any;
    isNextDisabled: boolean;
    approverWorkFlowList: any;
    editApprovalWorkflow: any;
    createApprovalClicked: EventEmitter<any>;
    listCancelClicked: EventEmitter<any>;
    selectedWorkflowNext: EventEmitter<any>;
    onApprovalEdit: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    showDetails(id: any): void;
    createApprovalClick(event: boolean): void;
    selectApproval(approval?: any): void;
    cancelClicked(): void;
    nextClicked(): void;
    onEdit(approverWorkflow: any): void;
    removeWorkflow(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApprovalWorkflowListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApprovalWorkflowListComponent, "app-approval-workflow-list", never, { "approverWorkFlowList": { "alias": "approverWorkFlowList"; "required": false; }; "editApprovalWorkflow": { "alias": "editApprovalWorkflow"; "required": false; }; }, { "createApprovalClicked": "createApprovalClicked"; "listCancelClicked": "listCancelClicked"; "selectedWorkflowNext": "selectedWorkflowNext"; "onApprovalEdit": "onApprovalEdit"; }, never, never, false, never>;
}
